﻿// COPYRIGHT 2009, 2010 by the Open Rails project.
// 
// This file is part of Open Rails.
// 
// Open Rails is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
// 
// Open Rails is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
// 
// You should have received a copy of the GNU General Public License
// along with Open Rails.  If not, see <http://www.gnu.org/licenses/>.

using System.Drawing;
using System.Windows.Forms;
using ORTS.Menu;
using GNU.Gettext;
using GNU.Gettext.WinForms;

namespace ORTS
{
    public partial class FolderForm : Form
    {
        public Folder Folder {
            get
            {
                return new Folder(textBoxName.Text, textBoxPath.Text);
            }
            set
            {
                textBoxName.Text = value.Name;
                textBoxPath.Text = value.Path;
            }
        }

        public FolderForm()
        {
            InitializeComponent();

            GettextResourceManager catalog = new GettextResourceManager("ORTS.Menu");
            Localizer.Localize(this, catalog);

            // Windows 2000 and XP should use 8.25pt Tahoma, while Windows
            // Vista and later should use 9pt "Segoe UI". We'll use the
            // Message Box font to allow for user-customizations, though.
            Font = SystemFonts.MessageBoxFont;
        }
    }
}
